---
sidebar_label: Page.close
---

# Page.close() method

**Signature:**

```typescript
class Page {
  close(options?: {runBeforeUnload?: boolean}): Promise<void>;
}
```

## Parameters

| Parameter | Type                           | Description       |
| --------- | ------------------------------ | ----------------- |
| options   | { runBeforeUnload?: boolean; } | <i>(Optional)</i> |

**Returns:**

Promise&lt;void&gt;
